# Crcbench

This is a benchmark for STM32 Microcontrollers, to compare the performance of 
Rust programs with C programs.

## Building

See [./scripts/build.sh].

### Dependencies

In addition to some crates from crates.io, this project requires the following 
to be installed to compile and link to the algorithms-c implementations.

```
# on debian
apt install binutils-arm-none-eabi gcc-arm-none-eabi # compiler for the target architecture
apt install ruby # ceedling is the used build system for algorithms-c, and needs to be installed with gem, the ruby package manager
gem install ceedling 
```
